Subject: bug#61891: closed (Re: [bug#61891])

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 02 Mar 2023 21:13:02 +0000

Your bug report

#61891: [PATCH] gnu: Add r-biglm, r-cplm, r-som, r-chemometrics, r-metagenomeseq, r-maaslin2, r-mmuphin.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
61891: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61891
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#61891]
From: Ricardo Wurmus <[email-masked]>
To: Mădălin Ionel Patrașcu<[email-masked]>
Cc: [email-masked]
Date: Thu, 02 Mar 2023 22:09:30 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Mădălin Ionel Patrașcu <[email-masked]> writes:

> Date: Wed, 1 Mar 2023 11:50:40 +0100
> Subject: [PATCH] gnu: Test builds for r-maaslin and r-mmuphin.scm
>
> This is my try to make the build of these two package reproducible.
>
> I send this only in the case if the reviewer wants to dig more and maybe he can
> solve the non deterministic build.

I managed to get r-mmuphin to build reproducibly, but for r-maaslin the
problem is that the scatterplots are non-deterministic.  I’ve opened a
new bug report for that and pushed the rest of the patches.

-- 
Ricardo

Subject: [PATCH] gnu: Add r-biglm, r-cplm, r-som, r-chemometrics, r-metagenomeseq, r-maaslin2, r-mmuphin.
From: Mădălin Ionel Patrașcu<[email-masked]>
To: <[email-masked]>
Date: Wed, 1 Mar 2023 08:20:44 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/cran.scm (r-biglm, r-cplm, r-som, r-chemometrics): New 
variables.

* gnu/packages/bioconductor.scm (r-metagenomeseq, r-maaslin2, 
r-mmuphin): New variables.